#Importing Data and Compiling
Getting the library ID data and TIC data can easily be performed using valence. Simply import the libary and then use the `.from_root` method to get the data into python.

```from valence.build import AgilentGcms
agi = Agilent.from_root('data')```

The *data* folder should contain all of the *.D folders.

Now we can access the raw data in a pandas dataframe:

```agi.results_lib.head()```

key|header=|pk|rt|pct_area|library_id|ref|cas|qual
---|---|---|---|---|---|---|---|---
FA03.D|1=|1.0|5.7877|2.0335|Methyl octanoate|17.0|000000-00-0|96.0
FA03.D|2=|2.0|7.3441|3.4015|Methyl decanoate|1.0|000000-00-0|98.0
FA03.D|3=|3.0|8.0364|1.7448|Methyl undecanoate|2.0|000000-00-0|98.0
FA03.D|4=|4.0|8.6715|3.9674|Methyl dodecanoate|3.0|000000-00-0|98.0
FA03.D|5=|5.0|9.2781|1.9607|Methyl tridecanoate|4.0|000000-00-0|99.0

 

```agi.results_tic.head()```

key|header=|peak|rt|first|max|last|pk_ty|height|area|pct_max|pct_total
---|---|---|---|---|---|---|---|---|---|---|---
FA01.D|1=|1.0|12.288|1600.0|1609.0|1647.0|rBV3|71023.0|478771.0|39.71|6.909
FA01.D|2=|2.0|13.598|1830.0|1838.0|1864.0|rBV2|247725.0|825285.0|68.46|11.91
FA01.D|3=|3.0|14.428|1977.0|1983.0|2004.0|rBV |481706.0|1098175.0|91.09|15.85
FA01.D|4=|4.0|15.08|2091.0|2097.0|2109.0|rBV |806692.0|1205528.0|100.0|17.40
FA01.D|5=|5.0|15.692|2198.0|2204.0|2215.0|rBV |731146.0|1085862.0|90.07|15.67


With all of our data in one place, we may want to take a look at a chromatogram to see if we have what we expect. Lets make a quick plot of the first file `FA01.D`

`agi.chromatogram.loc['FA01.D'].plot('tme','tic')`